using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TEAMModelOS.Models.Dto
{
    public class ExamClassResultDto
    {
        public string subject { get; set; }
        public List<ClassResults> examClassResult { get; set; } = new List<ClassResults>();
    }
    public class ClassResults
    {
        public ClassInfo classInfo { get; set; } = new ClassInfo();
        public List<string> studentIds { get; set; } = new List<string>();
        public List<List<string>> studentAnswers { get; set; } = new List<List<string>>();
        public List<List<string>> studentScores { get; set; } = new List<List<string>>();
    }
    public class ClassInfo { 
        public string id { get; set; }
        public string name { get; set; }
    }
}
